<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org">
<head>
<meta charset="utf-8"/>
<title>Product Manager</title>
</head>
<!-- <body> -->
<body style="background-color:#c4b5eeff;">
<img src='tanuki.png' style='display: block; margin-left: auto; margin-right: auto; width: 10%; height: 20%;'>
<div align="center">
    <h3 th:inline="text">Welcome  [[${#httpServletRequest.remoteUser}]]</h3>
    <form th:action="@{/logout}" method="post">
       <input type="submit" value="Logout" style="background-color: #c4b5eeff;" />
<!--       <input type="submit" value="Logout" /> -->
    </form>
    <h1>Product List</h1>
    <a href="/new">Create New Product</a>
    <br/><br/>
    <table border="1" cellpadding="10">
        <thead>
            <tr>
                <th>PRODUCT ID</th>
                <th>NAME</th>
                <th>BRAND</th>
                <th>MADE IN</th>
                <th>PRICE</th>
                <th>ACTIONS</th>
            </tr>
        </thead>
        <tbody>
            <tr th:each="product : ${listProducts}">
                <td th:text="${product.id}">Product ID</td>
                <td th:text="${product.name}">Name</td>
                <td th:text="${product.brand}">Brand</td>
                <td th:text="${product.madein}">Made in</td>
                <td th:text="${product.price}">Price</td>
                <td>
                    <a th:href="@{'/edit/' + ${product.id}}">Edit</a>
                    &nbsp;&nbsp;&nbsp;
                    <a th:href="@{'/delete/' + ${product.id}}">Delete</a>
                </td>
            </tr>
        </tbody>
    </table>
</div>   
</body>
</html>
